Line Items
List canonical line items
GET
/
line-items
List canonical line items
curl --request GET \
--url https://mkk.celebi.me/api/line-itemsimport requests
url = "https://mkk.celebi.me/api/line-items"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mkk.celebi.me/api/line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"limit": 123,
"offset": 123,
"line_items": [
{
"id": 123,
"slug": "<string>",
"name": "<string>",
"sectionId": "<string>",
"sectionName": "<string>",
"section": "<string>",
"unit": "<string>",
"kind": "<string>",
"value_count": 123,
"fund_count": 123,
"document_count": 123,
"values": [
{
"id": 123,
"document_id": 123,
"disclosure_index": "<string>",
"file_name": "<string>",
"fund_code": "<string>",
"fund_title": "<string>",
"period": "<string>",
"line_item_id": 123,
"line_item_slug": "<string>",
"line_item_name": "<string>",
"sectionId": "<string>",
"sectionName": "<string>",
"canonical_section": "<string>",
"kind": "<string>",
"raw_section": "<string>",
"raw_label": "<string>",
"value": "<string>",
"numeric_value": 123,
"unit": "<string>",
"source": "<string>",
"mapping_method": "<string>",
"mapping_confidence": 123
}
]
}
]
}Query Parameters
Line item kind.
Available options:
metric, text Filter by canonical section slug.
Filter by fund code.
Filter by fund code.
Text search query.
Maximum number of rows to return.
Required range:
1 <= x <= 500Number of rows to skip.
Required range:
x >= 0⌘I
List canonical line items
